Page MenuHomePhabricator

Popup windows are not rendered correctly when they change their size
Closed, ResolvedPublic

Description

The easiest steps I know how to reproduce it is:

  1. open firefox (35 on my machine)
  2. type something in the search bar
  3. press escape to close the suggestion popup
  4. press backspace -> the suggestion popup should open with some suggestions in it
  5. keep pressing backspace while the suggestion popup is enlarged, because there are more suggestions.

When this happens the bottom of the suggestion popup is rendered black.

Running E19.1, EFL 1.12.2, both software and opengl compositors, nvidia drivers (9800gt card), xorg server 1.16.3-r1, gentoo linux 64bit.

obfuscated updated the task description. (Show Details)
obfuscated raised the priority of this task from to Incoming Queue.
obfuscated added a project: Restricted Project.
obfuscated changed the visibility from "All Users" to "Public (No Login Required)".
obfuscated added a subscriber: obfuscated.
raster added a subscriber: raster.Feb 6 2015, 12:28 AM

i can't reproduce. trying it here on e in git - working fine it seems.

Can you try with e19.x? So we know that it is really fixed in e-git.

raster added a comment.Feb 7 2015, 7:39 AM

i really don't have time to do this every time someone asks.

zmike added a subscriber: zmike.Jul 6 2015, 10:47 AM

There are no differences in compositing algorithms between E19 and E20.

I don't know. Probably my config is super awkward and no one is hitting this bug.
Could it be gtk2 engine/theme related? I'll try some defaultish gtk2 theme and will report back.

Ok, it is not theme related, but now if I switch from software to opengl the problem goes away.

stefan_schmidt triaged this task as Normal priority.Jul 24 2015, 2:57 AM
stefan_schmidt added a subscriber: stefan_schmidt.
zmike added a comment.Aug 20 2015, 1:01 PM

Is this still an issue with the latest E19 release?

obfuscated added a comment.EditedAug 20 2015, 2:02 PM

Yes, it still happens, but only with the software compositor.

And now it is harder to break firefox's search completion.
I'm using the https://github.com/kevincox/autosizer addon which is messing with the window of the popup and might be causing this behaviour.

But the other case where I'm seeing this problem is happening every time.
It is in Code::Blocks, when I hover over a variable while debugging and a value popup shows up.
If the variable is a complex structure/class and I expand it. The expanded parts of the popup are black.

I'm running 0.19.8 and efl 1.15.0

zmike added a comment.Aug 20 2015, 4:23 PM

The Firefox search popup does display some strange behavior (random repositioning for a single frame), but this is actually an application bug. Not sure what's causing it exactly, but we just perform operations based on what the application wants in this case.

I spent a while trying to get code::blocks to display tooltips to expand and couldn't get anything. No idea how to use this thing.

Any other applications or cases which exhibit this behavior?

Yes, I know the window bug is an issue in the ff/addon.
The easiest way for me to trigger the bug is to type kk and then delete the last k by pressing the backspace key.
If I repeat this fast it triggers the problem.

For Code::Blocks:
You have to enable the popups first.
This is done in Settings -> Debugger -> GDB/CDB -> Default -> Evaluate expression under cursor
Then:

  1. make a simple project
  2. add some kind of nested struct type
  3. make a local variable
  4. use debug -> run to cursor or place a breakpoint (click in the margin on the left of the line) and then debug->start
  5. hover the mouse over the local variable
  6. click the plus in the popup to expand it

It seems that the bug happens only if Code::Blocks is compiled against wxgtk-28, it wxgtk-3.x is used, the bug doesn't happen.

It seems that the bug happens only if Code::Blocks is compiled against wxgtk-28, it wxgtk-3.x is used, the bug doesn't happen.

This last statement is not correct. I've forgotten to switch to the software compositor when I've made it.
The bug triggers with wxgtk-2.8 and wxgtk-3.x

zmike added a comment.Aug 20 2015, 5:40 PM

Regarding the Firefox thing, I only see a black frame when the popup is closed during show, eg. type 'a' and then press backspace quickly. I have no idea if any special configuration is necessary here.

It would be helpful if you could post some simple sample code that I could open in codeblocks which will exhibit the issue.

The ff bug is very hard to trigger reliably, unfortunately.

This simple program is enough to reproduce the problem.
File -> New -> Project -> Console -> next -> next -> next
And replace the code with this:

struct A
{
    int a, b, c, d, e, f, g;
};

struct B
{
    A nested;
    A nested1;
    A nested2;
};

int main()
{
    B b;
    b.nested2.a=5;
    return 0; // <--- break here, wait for the popup to show and press the plus/triangle next to b repeatedly 
}